# Generate Multiple Tidy Distributions of a single type

Source: `R/random-tid-multi-dist.R`
`tidy_multi_dist.Rd`

Generate multiple distributions of data from the same `tidy_` distribution function.

    tidy_multi_dist(.tidy_dist = NULL, .param_list = list())

## Arguments

.tidy_dist

  The type of `tidy_` distribution that you want to run. You can only choose one.

.param_list

  This must be a `list()` object of the parameters that you want to pass through to the TidyDensity `tidy_` distribution function.

## Value

A tibble

## Details

Generate multiple distributions of data from the same `tidy_` distribution function. This allows you to simulate multiple distributions of the same family in order to view how shapes change with parameter changes. You can then visualize the differences however you choose.

## Author

Steven P. Sanderson II, MPH

## Examples

    tidy_multi_dist(
      .tidy_dist = "tidy_normal",
      .param_list = list(
        .n = 50,
        .mean = c(-1, 0, 1),
        .sd = 1,
        .num_sims = 3
      )
    )
    #> Error in select(., -c(.n, .num_sims)): could not find function "select"